Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.IsTransactionApplied Method
DatabaseEnvironment Class See Also Send Feedback

This method checks to see if a specified transaction has been replicated from the master of a replication group. It may be called by applications using either the Base API or the Replication Manager.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#
    public TransactionAppliedStatus IsTransactionApplied(
    	byte[] token,
    	uint timeout
    )

Visual Basic (Declaration)
    Public Function IsTransactionApplied ( _
    	token As Byte(), _
    	timeout As UInteger _
    ) As TransactionAppliedStatus

Visual C++
    public:
    TransactionAppliedStatus IsTransactionApplied(
    	array<unsigned char>^ token,
    	unsigned int timeout
    )

#### Parameters

token
  Type: array< System..::.Byte >[]()[]
  The commit token from a transaction previously written at a master site in the replication group. Commit tokens are retrieved using the CommitToken method.

timeout
  Type: System..::.UInt32
  The maximum time to wait for the transaction to arrive by replication, expressed in microseconds. To check the status of the transaction without waiting, the timeout may be specified as 0.

#### Return Value

This method returns TransactionAppliedStatus.APPLIED to indicate that the specified transaction has indeed been applied at the local site. TransactionAppliedStatus.TIMEOUT will be returned if the specified transaction has not yet arrived at the calling site, but can be expected to arrive soon. TransactionAppliedStatus.NOTFOUND will be returned if the transaction has not been applied at the local site, and it can be determined that the transaction has been rolled back due to a master takeover, and is therefore never expected to arrive. TransactionAppliedStatus.EMPTY_TRANSACTION will be return if the specified token was generated by a transaction that did not modify the database environment (e.g., a read-only transaction).

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace